package com.bonus.canteen.core.supermarket.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
   value = "超市商品表",
   description = "超市商品表"
)
public class SupermarketUnAddProductListVO {
   @ApiModelProperty("展示商品")
   private String showMaterial;
   @ApiModelProperty("商品id")
   private Long materialId;
   @ApiModelProperty("商品")
   private String materialName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("销售价")
   private Integer salePrice;
   @ApiModelProperty("优惠价")
   private Integer prefPrice;
   @ApiModelProperty("图片")
   private String imgUrl;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域")
   private String areaName;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public String getShowMaterial() {
      return this.showMaterial;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getPrefPrice() {
      return this.prefPrice;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public void setShowMaterial(final String showMaterial) {
      this.showMaterial = showMaterial;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setPrefPrice(final Integer prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }
}
